> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/elastic-ip/deleteeip.md).

# DeleteEip

## 1. API Description

This API (DeleteEip) is used to delete an elastic IP.

{% hint style="info" %}
**Notes**

* A public IP must be unbound before it can be deleted.
* After a regular account deletes an elastic IP, the resource is recycled directly. The operation is irreversible, so please proceed with caution.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                              |
| -------------- | -------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eipId          | Yes      | String | <p>ID of the elastic IP to be deleted.</p><p>It can be obtained by calling <a href="/api-reference/zec/elastic-ip/describeeips.md">DescribeEips</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete an elastic IP.**

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/zec HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteEip


Request:
{
  "eipId": "xxx"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                  | Description                                                                |
| ---------------- | ------------------------------------------- | -------------------------------------------------------------------------- |
| 400              | OPERATION\_DENIED\_EIP\_IS\_NOT\_UN\_ASSIGN | The EIP is already in use (not in the unbound status) and cannot be bound. |
| 400              | OPERATION\_DENIED\_EIP\_IS\_REMOTE\_IPT     | An EIP of the RIPT type cannot be deleted directly.                        |
